dependencyManagement {
  versions {
    // please keep the list sorted
    activeMqArtemis: "2.21.0"
    aetherVersion: "1.1.0"
    akkaHttpVersion: "10.2.9"
    akkaMajorVersion: "2.6"
    akkaVersion: "2.6.19"
    akkaKryoSerializationVersion: "1.1.5"
    akkaQuartzSchedulerVersion: "1.9.2"
    apacheMime4jVersion: "0.8.7"
    aspectjVersion: "1.9.9.1"
    awaitilityVersion: "4.2.0"
    bouncyCastleVersion: "1.70"
    caffeineVersion: "3.1.1"
    camelVersion: "3.17.0"
    crashVersion: "1.3.2"
    crowdIntegrationVersion: "3.7.1"
    derbyVersion: "10.15.2.0"
    docBaseStyleVersion: "3.1.6"
    dropwizardMetricsVersion: "4.0.0+xebialabs.202107071600" // Used in release alone.
    groovyVersion: "3.0.11"
    hibernateVersion: "5.6.5.Final"
    httpClientVersion: "4.5.13"
    httpCoreVersion: "4.4.15"
    infinispanVersion: "13.0.10.Final"
    jackrabbitVersion: "2.19.3"
    jacksonVersion: "2.13.3"
    javaCacheApiVersion: "1.1.1"
    jcloudsVersion: "2.5.0"
    jettyVersion: "9.4.48.v20220622"
    jgitVersion: "5.12.0.202106070339-r"
    jythonVersion: "2.7.2"
    jsonpath: "2.7.0"
    kamonVersion: "2.5.3"
    liquibaseVersion: "4.11.0"
    liquibaseSlf4jVersion: "4.1.0"
    logbackVersion: "1.2.11"
    log4jVersion: "2.17.2"
    mavenArtifactVersion: "3.8.5"
    microprofileConfigApiVersion: "3.0.1"
    minaVersion: "2.0.21" // 2.0.x is required by ApacheDS 1.5.x
    mockitoVersion: "4.4.0"
    overthereVersion: "5.4.0"
   // Plugin Dependency Versions - Do not upgrade the versions below that start with py
    pyBoto3Version: "1.17.61"
    pyBotocoreVersion: "1.20.112"
    pyCertifiVersion: "2020.12.5"
    pyChardetVersion: "4.0.0"
    pyDateutilVersion: "2.8.2"
    pyIdnaVersion: "3.1"
    pyIpaddressVersion: "1.0.23"
    pyPyasn1Version: "0.3.2"
    pyRequestsVersion: "2.25.1"
    pyS3transferVersion: "0.1.13"
    pySixVersion: "1.15.0"
    pyUrllib3Version: "1.25.3"
    pyYamlVersion: "5.4.1"
    // Plugin Dependency Versions - Do not upgrade the versions above that start with py
    restassuredVersion: "5.1.0"
    resteasyVersion: "4.7.7.Final"
    scalaFullVersion: "2.13.8"
    scalaTestVersion: "3.2.9"
    scalaTestPlusVersion: "3.2.9.0"
    scalaVersion: "2.13"
    scannitVersion: "1.4.1"
    seleniumVersion: "4.2.1"
    slickVersion: "3.3.3"
    slf4jVersion: "1.7.36"
    smallryeVersion: "2.3.0" // check Resteasy compatibility while upgrading this version
    sprayJsonVersion: "1.3.6"
    springBootVersion: "2.7.3"
    springDataJpaVersion: "2.7.2"
    springLdapVersion: "2.4.1"
    springSecurityVersion: "5.7.3"
    springVersion: "5.3.22"
    springSessionVersion: "2.7.0"
    sshdVersion: "2.8.0"
    telnetdVersion: "2.1.1"
    testcontainersScalaVersion: "0.40.8"
    tqdevMetricsVersion: "0.9.26"
    trueZipVersion: "7.7.10"
  }
  dependencies: [
    "args4j:args4j:2.33"
    "cglib:cglib:3.3.0"
    {
      group: "ch.qos.logback"
      version: "$logbackVersion"
      artifacts: [
        "logback-access"
        "logback-classic"
        "logback-core"
      ]}
    "com.atlassian.crowd:crowd-integration-springsecurity:$crowdIntegrationVersion"
    "com.amazonaws:aws-java-sdk-marketplacemeteringservice:1.12.231"
    "com.enragedginger:akka-quartz-scheduler_${scalaVersion}:${akkaQuartzSchedulerVersion}-akka-${akkaMajorVersion}.x"
    "com.esotericsoftware:kryo:4.0.2"
    {
      group: "com.fasterxml.jackson.core"
      version: "$jacksonVersion"
      artifacts: [
        "jackson-annotations"
        "jackson-core"
        "jackson-databind"
      ]}
    {
      group: "com.fasterxml.jackson.datatype"
      version: "$jacksonVersion"
      artifacts: [
        "jackson-datatype-joda"
      ]}
    {
      group: "com.fasterxml.jackson.jaxrs"
      version: "$jacksonVersion"
      artifacts: [
        "jackson-jaxrs-base"
        "jackson-jaxrs-json-provider"
      ]}
    "com.fasterxml.jackson.module:jackson-module-scala_${scalaVersion}:${jacksonVersion}"
    "com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:${jacksonVersion}"
    "com.flipkart.zjsonpatch:zjsonpatch:0.4.12"
    "com.github.java-json-tools:btf:1.3"
    "com.github.java-json-tools:jackson-coreutils:2.0"
    "com.github.java-json-tools:json-patch:1.13"
    "com.github.java-json-tools:msg-simple:1.2"
    "com.github.maiflai:gradle-scalatest:0.32"
    "com.github.nscala-time:nscala-time_${scalaVersion}:2.30.0"
    "io.altoo:akka-kryo-serialization_${scalaVersion}:${akkaKryoSerializationVersion}"
    "com.github.scopt:scopt_${scalaVersion}:4.0.1"
    "com.github.stefanbirkner:system-lambda:1.2.1"
    "com.github.tomakehurst:wiremock-jre8:2.33.2"
    "com.github.zafarkhaja:java-semver:0.9.0"
    "com.google.code.findbugs:annotations:3.0.1"
    "com.google.code.findbugs:jsr305:3.0.2"
    "com.github.ben-manes.caffeine:caffeine:${caffeineVersion}"
    "com.google.guava:guava:31.1-jre"
    "com.googlecode.owasp-java-html-sanitizer:owasp-java-html-sanitizer:20211018.2"
    "com.h2database:h2:2.1.212"
    "com.hierynomus:asn-one:0.6.0"
    "io.rest-assured:rest-assured:$restassuredVersion"
    "com.lihaoyi:requests_${scalaVersion}:0.7.0"
    "com.oracle.database.jdbc:ojdbc10:19.14.0.0"
    "com.ibm:db2jcc4:4.28.11"
    "com.microsoft.sqlserver:mssql-jdbc:10.2.1.jre11"
    "com.ryantenney.metrics:metrics-spring:3.1.3"
    "com.samskivert:jmustache:1.15"
    "com.sun.activation:jakarta.activation:1.2.2"
    "com.sun.mail:jakarta.mail:1.6.7"
    "com.thoughtworks.xstream:xstream:1.4.19"
    "com.twitter:chill_${scalaVersion}:0.10.0"
    "com.github.stefanbirkner:system-rules:1.19.0"
    "com.typesafe.scala-logging:scala-logging_${scalaVersion}:3.9.5"
    {
      group: "org.eclipse.jgit"
      version: "$jgitVersion"
      artifacts: [
        "org.eclipse.jgit"
        "org.eclipse.jgit.http.server"
        "org.eclipse.jgit.http.apache"
        "org.eclipse.jgit.ssh.jsch"
      ]}
    {
      group: "com.typesafe.akka"
      version: "$akkaVersion"
      artifacts: [
        "akka-actor_${scalaVersion}"
        "akka-cluster-sharding_${scalaVersion}"
        "akka-cluster_${scalaVersion}"
        "akka-distributed-data_${scalaVersion}"
        "akka-remote_${scalaVersion}"
        "akka-serialization-jackson_${scalaVersion}"
        "akka-slf4j_${scalaVersion}"
        "akka-stream_${scalaVersion}"
        "akka-stream-testkit_${scalaVersion}"
        "akka-testkit_${scalaVersion}"
      ]}
    {
        group: "com.typesafe.akka"
        version: "$akkaHttpVersion"
        artifacts: [
            "akka-http_${scalaVersion}"
            "akka-http-core_${scalaVersion}"
            "akka-http-spray-json_${scalaVersion}"
            "akka-http-testkit_${scalaVersion}"
            "akka-http-xml_${scalaVersion}"
        ]}
    "com.typesafe:config:1.4.2"
    "com.unboundid:unboundid-ldapsdk:6.0.5"
    "com.vmware:vijava:5.1"
    "com.xebialabs.cloud:overcast:$overcastVersion"
    "com.xebialabs.deployit.documentation:base-documentation-style:$docBaseStyleVersion@zip"
    {
      group: "com.xebialabs.deployit.engine"
      version: "$xlDeployVersion"
      artifacts: [
        "packager"
        "planner"
        "tasker"
        "test-engine"
      ]}
    {
      group: "com.xebialabs.deployit.engine"
      version: "$xlPlatformVersion"
      artifacts: [
        "engine-xml"
        "engine-xml-tests"
        "json-patch"
        "local-booter"
        "packager"
        "remote-booter"
        "replacer"
        "staged-files"
        "test-tools"
      ]}
    "com.xebialabs.deployit.gradle:license-data:$licenseDatabaseVersion"
    "com.xebialabs.deployit.license:xl-license-generator:$xlPlatformVersion"
    "com.xebialabs.deployit.ascode:xl-devops-as-code-common:$xlPlatformVersion"
    {
      group: "com.xebialabs.deployit.plugins"
      version: "$xlDeployVersion"
      artifacts: [
        "base-plugin"
        "command-plugin"
        "database-plugin"
        "deployment-checklist-plugin"
        "file-plugin"
        "generic-plugin"
        "group-orchestrator-plugin"
        "jee-plugin"
        "powershell-plugin"
        "python-plugin"
        "remoting-plugin"
        "trigger-plugin"
        "webserver-plugin"
      ]}
    {
      group: "com.xebialabs.deployit.plugins"
      version: "$xldProvisionVersion"
      artifacts: [
        "xld-provision"
        "xld-provision-cli"
      ]}
    {
      group: "com.xebialabs.deployit"
      version: "$xlPlatformVersion"
      artifacts: [
        "appserver-api"
        "appserver-api-impl"
        "appserver-core"
        "appserver-main"
        "appserver-migrations-tests"
        "engine-api"
        "engine-spi"
        "server-extension"
        "udm-plugin-api"
      ]}
    "com.xebialabs.overthere:overthere:$overthereVersion"
    "com.xebialabs.restito:restito:0.9.4"
    {
      group: "com.xebialabs.xl-platform"
      version: "$xlPlatformVersion"
      artifacts: [
        "appserver-migrations-sql"
        "export-cis"
        "maven-resolver"
        "repository-utils"
        "scala-base"
        "test-services-utils"
        "test-utils"
        "xl-base"
        "xl-core"
        "xl-endpoints-api"
        "xl-endpoints-routes"
        "xl-chain-of-custody"
        "xl-cluster"
        "xl-license"
        "xl-license-api"
        "xl-license-web"
        "xl-localisation"
        "xl-pendo-analytics"
        "xl-plugin"
        "xl-plugin-manager"
        "xl-repository-api"
        "xl-repository-tck"
        "xl-repository-sql"
        "xl-script-engine"
        "xl-auth-oidc"
        "xl-security"
        "xl-security-api"
        "xl-security-converter"
        "xl-security-core"
        "xl-security-sql"
        "xl-security-tests"
        "xl-support-package"
        "xl-test-repository"
        "xl-ui-components-api"
        "xl-ui-components-rest"
        "xl-utils"
        "xl-jmx"
        "xl-webhooks-common"
        "xl-webhooks-endpoint"
        "xl-webhooks-queue"
      ]}
    "com.zaxxer:HikariCP:5.0.1"
    "commons-codec:commons-codec:1.15"
    "commons-collections:commons-collections4:4.4"
    "commons-io:commons-io:2.11.0"
    "commons-lang:commons-lang:2.6"
    "de.javakaffee:kryo-serializers:0.45"
    {
      group: "de.schlichtherle.truezip"
      version: "$trueZipVersion"
      artifacts: [
        "truezip-driver-file"
        "truezip-driver-tar"
        "truezip-driver-zip"
        "truezip-file"
        "truezip-kernel"
      ]}
    "org.dom4j:dom4j:2.1.3"
    "httpunit:httpunit:1.7.3"
    {
      group: "io.dropwizard.metrics"
      version: "$dropwizardMetricsVersion"
      artifacts: [
        "metrics-annotation"
        "metrics-core"
        "metrics-healthchecks"
        "metrics-jetty9"
        "metrics-jmx"
        "metrics-json"
        "metrics-jvm"
      ]}
    {
      group="io.kamon"
      version="$kamonVersion"
      artifacts=[
        "kamon-core_${scalaVersion}",
        "kamon-system-metrics_${scalaVersion}",
        "kamon-jdbc_${scalaVersion}"
      ]}
    "io.smallrye.config:smallrye-config:$smallryeVersion"
    "io.spray:spray-json_${scalaVersion}:$sprayJsonVersion"
    "jakarta.activation:jakarta.activation-api:2.1.0"
    "jakarta.jms:jakarta.jms-api:2.0.3"
    "jakarta.json:jakarta.json-api:2.0.1"
    "jakarta.persistence:jakarta.persistence-api:2.2.3"
    "jakarta.validation:jakarta.validation-api:2.0.2"
    "jakarta.servlet:jakarta.servlet-api:4.0.4"
    "javax.inject:javax.inject:1"
    "javax.jcr:jcr:2.0"
    "javax.transaction:jta:1.1"
    "jaxen:jaxen:1.2.0"
    "jline:jline:2.14.6"
    "joda-time:joda-time:2.10.13"
    "junit:junit:4.13.2"
    "mysql:mysql-connector-java:8.0.28"
    "org.postgresql:postgresql:42.3.3"
    "nl.javadude.assumeng:assumeng:1.2.4"
    "nl.javadude.scannit:scannit:$scannitVersion"
    "nl.javadude.t2bus:t2-bus:1.2.1"
    {
      group="org.apache.activemq"
      version="$activeMqArtemis"
      artifacts=[
        "artemis-server",
        "artemis-jms-server",
        "artemis-jms-client-all",
        "artemis-spring-integration",
        "artemis-junit"
      ]
    }
    "org.apache.camel:camel-core:$camelVersion"
    "org.apache.camel:camel-spring:$camelVersion"
    "org.apache.camel:camel-spring-javaconfig:$camelVersion"
    "org.apache.maven:maven-artifact:$mavenArtifactVersion"
    "net.bytebuddy:byte-buddy:1.12.8"
    "net.bytebuddy:byte-buddy-agent:1.12.8"
    "io.github.classgraph:classgraph:4.8.141"
    "io.github.java-diff-utils:java-diff-utils:4.11"
    "net.java.dev.jna:jna:5.10.0"
    "net.java.dev.jna:jna-platform:5.10.0"
    "com.github.pureconfig:pureconfig_${scalaVersion}:0.17.1"
    "org.apache.activemq:activemq-broker:5.17.0"
    "org.apache.commons:commons-compress:1.21"
    "org.apache.commons:commons-configuration2:2.7"
    "org.apache.commons:commons-csv:1.9.0"
    "org.apache.commons:commons-lang3:3.12.0"
    "org.apache.commons:commons-math3:3.6.1"
    {
      group: "org.apache.derby"
      version: "$derbyVersion"
      artifacts: [
        "derby"
        "derbyclient"
        "derbynet",
        "derbyshared"
      ]
    }
    "org.apache.geronimo.specs:geronimo-j2ee-management_1.1_spec:1.0.1"
    "org.apache.geronimo.specs:geronimo-json_1.1_spec:1.5"
    {
      group: "org.apache.geronimo.specs"
      version: "1.1.1"
      artifacts: [
        "geronimo-jms_1.1_spec"
        "geronimo-jta_1.1_spec"
      ]}
    {
      group: "org.apache.httpcomponents"
      version: "$httpClientVersion"
      artifacts: [
        "httpclient"
        "httpmime"
      ]}
    "org.apache.httpcomponents:httpcore:$httpCoreVersion"
    {
      group: "org.apache.jackrabbit"
      version: "$jackrabbitVersion"
      artifacts: [
        "jackrabbit-api"
        "jackrabbit-core"
        "jackrabbit-jcr-commons"
        "jackrabbit-jcr-server"
        "jackrabbit-spi"
        "jackrabbit-spi-commons"
        "jackrabbit-webdav"
      ]}
    "org.apache.jackrabbit:jackrabbit-webapp:$jackrabbitVersion}@ja"
    {
      group: "org.apache.james"
      version: "$apacheMime4jVersion"
      artifacts: [
        "apache-mime4j-core"
        "apache-mime4j-dom"
        "apache-mime4j-storage"
      ]
    }
    "org.apache.jclouds.api:ec2:$jcloudsVersion"
    "org.apache.jclouds.provider:aws-ec2:$jcloudsVersion"
    {
      group: "org.apache.jclouds"
      version: "$jcloudsVersion"
      artifacts: [
        "jclouds-compute"
        "jclouds-core"
      ]
    }
    {
      group: "org.apache.logging.log4j"
      version: "$log4jVersion"
      artifacts: [
        "log4j-api"
        "log4j-to-slf4j"
      ]
    }
    "org.apache.maven:maven-aether-provider:3.3.9"
    "org.apache.mina:mina-core:$minaVersion"
    "org.apache.qpid:qpid-jms-client:1.5.0"

    "org.apache.sshd:sshd-core:$sshdVersion"
    "org.apache.velocity:velocity:1.7"
    {
      group: "org.aspectj"
      version: "$aspectjVersion"
      artifacts: [
        "aspectjrt"
        "aspectjweaver"
      ]}
    {
      group: "org.bouncycastle"
      version: "$bouncyCastleVersion"
      artifacts: [
        "bcpkix-jdk15on"
        "bcprov-jdk15on"
      ]}
    "org.clapper:grizzled-slf4j_${scalaVersion}:1.3.4"
    "org.codehaus.groovy:groovy-all:${groovyVersion}"
    "org.codehaus.jettison:jettison:1.4.1"
    "org.easymock:easymock:4.3"
    "org.easytesting:fest-reflect:1.4.1"
    "org.easytesting:fest-assert-core:2.0M10"
    {
      group: "org.eclipse.aether"
      version: "$aetherVersion"
      artifacts: [
        "aether"
        "aether-api"
        "aether-connector-basic"
        "aether-impl"
        "aether-spi"
        "aether-transport-file"
        "aether-transport-http"
      ]}
    {
      group: "org.eclipse.jetty"
      version: "$jettyVersion"
      artifacts: [
        "jetty-client"
        "jetty-jmx"
        "jetty-jndi"
        "jetty-security"
        "jetty-server"
        "jetty-servlet"
        "jetty-servlets"
        "jetty-util"
        "jetty-webapp"
      ]}
    {
      group: "org.eclipse.jetty.websocket"
      version: "$jettyVersion"
      artifacts: [
        "websocket-client"
        "websocket-api"
        "websocket-server"
      ]}
    "org.eclipse.microprofile.config:microprofile-config-api:$microprofileConfigApiVersion"
    "org.freemarker:freemarker:2.3.31"
    "org.fusesource.hawtbuf:hawtbuf:1.11"
    "org.glassfish:jakarta.json:2.0.1"
    "org.glassfish.jaxb:jaxb-runtime:2.3.5" // check Resteasy compatibility while upgrading this version
    {
      group: "org.hamcrest"
      version: "2.2"
      artifacts: [
        "hamcrest-core"
        "hamcrest-library"
      ]}
    {
      group: "org.infinispan"
      version: "$infinispanVersion"
      artifacts: [
        "infinispan-cachestore-jdbc"
        "infinispan-commons"
        "infinispan-core"
      ]}
    "org.javassist:javassist:3.29.0-GA"
    {
      group: "org.jboss.resteasy"
      version: "$resteasyVersion"
      artifacts: [
        "resteasy-core"
        "resteasy-client"
        "resteasy-client-api"
        "resteasy-core-spi"
        "resteasy-jackson2-provider"
        "resteasy-jaxb-provider"
        "resteasy-jaxrs-all"
        "resteasy-multipart-provider"
        "resteasy-netty4"
        "resteasy-spring"
      ]}
    "org.jdom:jdom2:2.0.6.1"
    "org.joda:joda-convert:2.2.2"
    "org.liquibase:liquibase-core:${liquibaseVersion}"

    "com.mattbertolini:liquibase-slf4j:${liquibaseSlf4jVersion}"
    {
      group: "org.mockito"
      version: "$mockitoVersion"
      artifacts: [
        "mockito-core"
        "mockito-inline"
      ]}
    "org.owasp.antisamy:antisamy:1.6.8"
    "org.pegdown:pegdown:1.6.0"
    "org.python:jython:$jythonVersion"
    "org.python:jython-standalone:${jythonVersion}-xebialabs-1"
    "org.scala-lang.modules:scala-java8-compat_${scalaVersion}:1.0.2"
    "org.scala-lang.modules:scala-xml_${scalaVersion}:2.0.1"
    {
      group: "org.scala-lang"
      version: "$scalaFullVersion"
      artifacts: [
        "scala-library"
        "scala-reflect"
      ]}
    "org.scalacheck:scalacheck_${scalaVersion}:1.16.0"
    "org.scalatest:scalatest_${scalaVersion}:${scalaTestVersion}"
    "org.scalatestplus:junit-4-13_${scalaVersion}:${scalaTestPlusVersion}"
    "org.scalatestplus:testng-6-7_${scalaVersion}:${scalaTestPlusVersion}"
    "org.scalatestplus:scalatestplus-mockito_${scalaVersion}:1.0.0-M2"
    "org.scalatestplus:scalacheck-1-14_${scalaVersion}:3.2.2.0"
    "com.vladsch.flexmark:flexmark-all:0.34.60"
    "org.seleniumhq.selenium:selenium-java:$seleniumVersion"
    {
      group: "org.slf4j"
      version: "$slf4jVersion"
      artifacts: [
        "jcl-over-slf4j"
        "jul-to-slf4j"
        "log4j-over-slf4j"
        "slf4j-api"
        "slf4j-nop"
      ]}
    {
      version="$springBootVersion"
      group="org.springframework.boot"
      artifacts=[
        spring-boot,
        spring-boot-starter,
        spring-boot-starter-web,
        spring-boot-starter-jetty
      ]
    }
    "org.springframework.ldap:spring-ldap-core:$springLdapVersion"
    {
      group: "org.springframework.security"
      version: "$springSecurityVersion"
      artifacts: [
        "spring-security-config"
        "spring-security-core"
        "spring-security-ldap"
        "spring-security-web"
        "spring-security-oauth2-core"
        "spring-security-oauth2-client"
        "spring-security-oauth2-jose"
        "spring-security-oauth2-resource-server"
        "spring-security-crypto"
      ]}
    {
      group: "org.springframework"
      version: "$springVersion"
      artifacts: [
        "spring-beans"
        "spring-context"
        "spring-context-support"
        "spring-core"
        "spring-jdbc"
        "spring-jms"
        "spring-test"
        "spring-messaging"
        "spring-web"
        "spring-webmvc"
        "spring-websocket"
        "spring-orm"
      ]}
    {
      group: "org.springframework.session"
      version: "$springSessionVersion"
      artifacts: [
        "spring-session-core"
        "spring-session-jdbc"
      ]}
    "org.springframework.data:spring-data-jpa:$springDataJpaVersion"
    "org.hibernate:hibernate-core:$hibernateVersion"
    "org.testng:testng:6.14.3"
    "org.yaml:snakeyaml:1.30"
    "pl.pragmatists:JUnitParams:1.1.1"
    {
      group: "org.crashub"
      version: "$crashVersion"
      artifacts: [
        "crash.shell"
        "crash.cli"
        "crash.connectors.ssh"
        "crash.connectors.telnet"
        "crash.embed.spring"
      ]
    }
    "net.wimpi:telnetd-x:$telnetdVersion"
    "com.typesafe.slick:slick_${scalaVersion}:$slickVersion"
    "com.dimafeng:testcontainers-scala_$scalaVersion:$testcontainersScalaVersion"
    "javax.xml.bind:jaxb-api:2.3.1"
    "com.jayway.jsonpath:json-path:${jsonpath}"
    {
      group: "com.tqdev.metrics"
      version: "$tqdevMetricsVersion"
      artifacts: [
        "metrics-core"
        "metrics-jvm"
        "metrics-jmx"
        "metrics-jdbc"
        "metrics-jetty"
        "metrics-http"
        "metrics-influxdb"
        "metrics-spring-webmvc"
        "metrics-spring-security"
      ]
    }
    {
      group: "org.awaitility"
      version: "$awaitilityVersion"
      artifacts: [
        "awaitility"
        "awaitility-scala"
      ]
    }
  ]

  blacklist: [
    "com.esotericsoftware:kryo-shaded"
    "com.google.collections:google-collections"
    "commons-logging:commons-logging"
    "javassist:javassist"
    "javax.annotation:javax.annotation-api"
    "javax.servlet:servlet-api"
    "javax.xml.bind:jsr173_api"
    "javax.xml.stream:stax-api"
    "log4j:log4j"
    "net.java.dev.msv:xsdlib"
    "org.bouncycastle:bcprov-jdk15"
    "org.bouncycastle:bcprov-jdk16"
    "org.fusesource.hawtjni:hawtjni-runtime"
    "org.fusesource.leveldbjni:leveldbjni"
    "org.fusesource.leveldbjni:leveldbjni-all"
    "org.fusesource.leveldbjni:leveldbjni-linux32"
    "org.fusesource.leveldbjni:leveldbjni-linux64"
    "org.fusesource.leveldbjni:leveldbjni-osx"
    "org.fusesource.leveldbjni:leveldbjni-win32"
    "org.fusesource.leveldbjni:leveldbjni-win64"
    "org.apache.geronimo.specs:geronimo-jms_2.0_spec"
    "org.iq80.leveldb:leveldb"
    "org.iq80.leveldb:leveldb-api"
    "org.jboss.resteasy:resteasy-jackson-provider"
    "org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.3_spec"
    "org.mortbay.jetty:servlet-api-2.5"
    "org.slf4j:slf4j-log4j12"
    "org.slf4j:slf4j-simple"
    "stax:stax-api"
    "pull-parser:pull-parser"
    "xpp3:xpp3"
  ]

  rewrites {
    "jdom:jdom": "org.jdom:jdom2"
    "org.jdom:jdom": "org.jdom:jdom2"
    "c3p0:c3p0": "com.mchange:c3p0"
    "com.sun.mail:javax.mail": "com.sun.mail:jakarta.mail"
    "javax.activation:javax.activation-api": "jakarta.activation:jakarta.activation-api"
    "javax.jms:javax.jms-api": "jakarta.jms:jakarta.jms-api"
    "javax.json:javax.json-api": "jakarta.json:jakarta.json-api"  // no change in package name
    "javax.mail:mail": "com.sun.mail:jakarta.mail"
    "javax.persistence:javax.persistence-api": "jakarta.persistence:jakarta.persistence-api"
    "javax.servlet:javax.servlet-api": "jakarta.servlet:jakarta.servlet-api"
    "javax.validation:validation-api": "jakarta.validation:jakarta.validation-api"
    "org.glassfish:javax.json": "org.glassfish:jakarta.json"
  }
}
